mtext_titlecase(3m17n)

NAME
mtext_titlecase - Titlecase an M-text.

SYNOPSIS
int mtext_titlecase (MText * mt)

DESCRIPTION
Titlecase an M-text.

The mtext_titlecase() function destructively converts the first character with the cased property in M-text mt to titlecase and the others to lowercase. The length of mt may change. If the character cannot be converted to titlecase, it is left unchanged. All the text properties are inherited.

RETURN VALUE

    This function returns the length of the updated mt.

SEE ALSO

    mtext_lowercase(), mtext_uppercase()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.